<script setup lang="ts">
import { onMounted, ref } from 'vue'
import ProductList from '@/views/pos/components/ProductList.vue'
import type { Product } from '@/views/product/types/Product'
import { usePosStore } from '@/views/pos/stores/pos'
const tab = ref(null)
const posStore = usePosStore()
const product = ref<Product>()

function selected(p: Product) {
  if (!p.id) return
  product.value = p
}

onMounted(async () => {
  await posStore.fetchProducts()
})
</script>

<template>
  <v-container style="background-color: #6d4c41">
    <v-col cols="12">
      <h2 style="text-align: center; font-weight: bold">
        MENU<v-icon icon="mdi-silverware"></v-icon>
      </h2>
    </v-col>
  </v-container>
  <v-container  style="background-color: #77625d">
    <v-col cols="12">
      <v-tabs v-model="tab" color="orange" align-tabs="center" class="ma-5">
        <v-tab :value="1"><v-icon icon="mdi-coffee"></v-icon>Drink</v-tab>
        <v-tab :value="2"><v-icon icon="mdi-cake-variant"></v-icon>Bakery</v-tab>
        <v-tab :value="3"><v-icon icon="mdi-silverware-fork-knife"></v-icon>Food</v-tab>
      </v-tabs>

      <v-row justify="center">
        <v-col cols="12">
          <v-window v-model="tab">
            <v-window-item :value="1">
              <ProductList :products="posStore.products1" @selected="selected"></ProductList>
            </v-window-item>
            <v-window-item :value="2">
              <ProductList :products="posStore.products2" @selected="selected"></ProductList>
            </v-window-item>
            <v-window-item :value="3">
              <ProductList :products="posStore.products3" @selected="selected"></ProductList>
            </v-window-item>
          </v-window>
        </v-col>
      </v-row>
    </v-col>
  </v-container>
</template>
@/views/pos/stores/posold
